Package org.apache.tapestry5.ioc.internal.services

## Class ExceptionInfoImpl

- java.lang.Object
- - org.apache.tapestry5.ioc.internal.services.ExceptionInfoImpl

- All Implemented Interfaces:
    `ExceptionInfo`

      public class ExceptionInfoImpl
      extends Object
      implements ExceptionInfo

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExceptionInfoImpl​(Throwable t, Map<String,​Object> properties, List<StackTraceElement> stackTrace)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getClassName()` | The exception class name.
    `String` | `getMessage()` | The message associated with the exception, possibly null.
    `Object` | `getProperty​(String name)` | Returns a specific property of the exception by name.
    `List<String>` | `getPropertyNames()` | Returns the names of the properties of the exception, sorted alphabetically.
    `List<StackTraceElement>` | `getStackTrace()` | Returns the stack trace elements.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExceptionInfoImpl

          public ExceptionInfoImpl​(Throwable t,
                                   Map<String,​Object> properties,
                                   List<StackTraceElement> stackTrace)

  - ### Method Detail

    - #### getClassName

          public String getClassName()

      Description copied from interface: `ExceptionInfo`
      The exception class name.
      Specified by:
        `getClassName` in interface `ExceptionInfo`

    - #### getMessage

          public String getMessage()

      Description copied from interface: `ExceptionInfo`
      The message associated with the exception, possibly null.
      Specified by:
        `getMessage` in interface `ExceptionInfo`

    - #### getProperty

          public Object getProperty​(String name)

      Description copied from interface: `ExceptionInfo`
      Returns a specific property of the exception by name.
      Specified by:
        `getProperty` in interface `ExceptionInfo`

    - #### getPropertyNames

          public List<String> getPropertyNames()

      Description copied from interface: `ExceptionInfo`
      Returns the names of the properties of the exception, sorted alphabetically.
      Specified by:
        `getPropertyNames` in interface `ExceptionInfo`

    - #### getStackTrace

          public List<StackTraceElement> getStackTrace()

      Description copied from interface: `ExceptionInfo`
      Returns the stack trace elements. Generally this is an empty list except for the deepest exception.
      Specified by:
        `getStackTrace` in interface `ExceptionInfo`